[beta] List driver efficiency

Get all driver and associated vehicle efficiency data.

This is a legacy endpoint, consider using this endpoint /driver-efficiency/drivers instead. The endpoint will continue to function as documented.

Rate limit: 50 requests/sec (learn more about rate limits here).

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

To use this endpoint, select Read Fuel & Energy under the Fuel & Energy category when creating or editing an API token. Learn More.

Query Params
string
enum

If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers).

Allowed:
driverIds
array of strings

A filter on the data based on this comma-separated list of driver IDs. Cannot be used with tag filtering or driver status. Example: driverIds=1234,5678

driverIds
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

driverTagIds
array of strings

Filters summary to drivers based on this comma-separated list of tag IDs. Data from all the drivers' respective vehicles will be included in the summary, regardless of which tag the vehicle is associated with. Should not be provided in addition to driverIds. Example: driverTagIds=1234,5678

driverTagIds
driverParentTagIds
array of strings

Filters like driverTagIds but includes descendants of all the given parent tags. Should not be provided in addition to driverIds. Example: driverParentTagIds=1234,5678

driverParentTagIds
date-time

A start time in RFC 3339 format. The results will be truncated to the hour mark for the provided time. For example, if startTime is 2020-03-17T12:06:19Z then the results will include data starting from 2020-03-17T12:00:00Z. The provided start time cannot be in the future. Start time can be at most 31 days before the end time. If the start time is within the last hour, the results will be empty. Default: 24 hours prior to endTime.

Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours.

date-time

An end time in RFC 3339 format. The results will be truncated to the hour mark for the provided time. For example, if endTime is 2020-03-17T12:06:19Z then the results will include data up until 2020-03-17T12:00:00Z. The provided end time cannot be in the future. End time can be at most 31 days after the start time. Default: The current time truncated to the hour mark.

Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json